Bug 1564264 - Openstack::NetworkManager Refresh failed [NoMethodError]: undefined method `[]='
Summary: Openstack::NetworkManager Refresh failed [NoMethodError]: undefined method `[]='
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.8.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: GA
: 5.8.4
Assignee: Marek Aufart
QA Contact: Omri Hochman
URL:
Whiteboard:
Keywords: ZStream
Depends On: 1488395
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-05 20:17 UTC by Saif Ali
Modified: 2018-06-25 14:19 UTC (History)
13 users (show)

(edit)
Clone Of: 1488395
(edit)
Last Closed: 2018-06-25 14:19:13 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:1972 None None None 2018-06-25 14:19 UTC

Comment 3 Sam Lucidi 2018-04-06 16:42:15 UTC
It looks like this should be as simple as backporting https://github.com/ManageIQ/manageiq-providers-openstack/pull/90 to 5.8

Comment 4 Marek Aufart 2018-04-09 06:49:42 UTC
Agree with Sam (Comment 3), we need backport https://github.com/ManageIQ/manageiq-providers-openstack/pull/90 to Fine.

Also target release for this BZ should be 5.8 since I believe we cannot backport 5.5 anymore.

Comment 5 CFME Bot 2018-04-09 22:00:58 UTC
New commit detected on ManageIQ/manageiq/fine:

https://github.com/ManageIQ/manageiq/commit/2232142a54a8697056064ad30196c698df145a55
commit 2232142a54a8697056064ad30196c698df145a55
Author:     tzumainn <tzumainn@redhat.com>
AuthorDate: Tue Sep  5 16:04:00 2017 -0400
Commit:     tzumainn <tzumainn@redhat.com>
CommitDate: Tue Sep  5 16:04:00 2017 -0400

    Merge pull request #90 from mansam/fix-network-port-subnet-collection

    Old Refresh: Don't error out if a port refers to an unknown subnet.
    (cherry picked from commit c7c8332e68633188b220ee8948963c254506ce29)

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1564264

 app/models/manageiq/providers/openstack/network_manager/refresh_parser.rb | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

Comment 6 Jadh 2018-05-01 15:02:11 UTC
Verified on 5.8.4.2

Comment 8 errata-xmlrpc 2018-06-25 14:19:13 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:1972


Note You need to log in before you can comment on or make changes to this bug.